Description: Automatically add desktop files to Anbox category.
Author: Ahmad Hasan Mubashshir <ahmubashshir@gmail.com>
Last-Update: 2020-01-11
Index: anbox-0.0~git20190124/data/desktop/android-settings.desktop
===================================================================
--- anbox-0.0~git20190124.orig/data/desktop/android-settings.desktop
+++ anbox-0.0~git20190124/data/desktop/android-settings.desktop
@@ -5,3 +5,4 @@ Terminal=false
 Type=Application
 Name=Android Settings
 GenericName=Android Settings
+Categories=Anbox
Index: anbox-0.0~git20190124/debian/anbox-android.menu
===================================================================
--- /dev/null
+++ anbox-0.0~git20190124/debian/anbox-android.menu
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8" ?>
+<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
+"http://www.freedesktop.org/standards/menu-spec/menu-1.0.dtd">
+<Menu>
+	<Name>Applications</Name>
+	<Menu>
+		<Name>anbox-android</Name>
+		<Directory>anbox-android.directory</Directory>
+		<Include>
+			<Or>
+				<Category>Anbox</Category>
+				<Filename>anbox.desktop</Filename>
+			</Or>
+		</Include>
+	</Menu>
+</Menu>
Index: anbox-0.0~git20190124/debian/install
===================================================================
--- anbox-0.0~git20190124.orig/debian/install
+++ anbox-0.0~git20190124/debian/install
@@ -1,6 +1,7 @@
 debian/anbox-container-manager.service /lib/systemd/system/
 debian/anbox-session-manager.service /usr/lib/systemd/user/
 debian/anbox.desktop /usr/share/applications/
+debian/anbox-android.menu /etc/xdg/menus/applications-merged/
 debian/anbox.png /usr/share/pixmaps/
 scripts/anbox-bridge.sh /usr/share/anbox/
 scripts/anbox-shell.sh /usr/share/anbox/
Index: anbox-0.0~git20190124/src/anbox/application/launcher_storage.cpp
===================================================================
--- anbox-0.0~git20190124.orig/src/anbox/application/launcher_storage.cpp
+++ anbox-0.0~git20190124/src/anbox/application/launcher_storage.cpp
@@ -94,10 +94,11 @@ void LauncherStorage::add_or_update(cons
   const auto item_icon_path = path_for_item_icon(package_name);
   if (auto desktop_item = std::ofstream(path_for_item(package_name).string())) {
     desktop_item << "[Desktop Entry]" << std::endl
+                 << "Type=Application" << std::endl
                  << "Name=" << item.name << std::endl
                  << "Exec=" << exec << std::endl
                  << "Terminal=false" << std::endl
-                 << "Type=Application" << std::endl
+                 << "Categories=Anbox;" << std::endl
                  << "Icon=" << item_icon_path.string() << std::endl;
   } else {
     BOOST_THROW_EXCEPTION(std::runtime_error("Failed to create desktop item"));
